package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.enums.CourseStatusEnum;
import com.ym.mec.biz.dal.enums.TeachModeEnum;

import io.swagger.annotations.ApiModelProperty;

import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(course_schedule):
 */
public class CourseSchedule {

	/**  */
	private Long id;
	
	/** 班级编号 */
	@ApiModelProperty(value = "班级编号",required = false)
	private Integer classGroupId;
	
	/** 课程状态 */
	@ApiModelProperty(value = "课程状态  NOT_START未开始，SIGN_IN已签到，SIGN_OUT已签退",required = false)
	private CourseStatusEnum status;
	
	/** 补贴 */
	@ApiModelProperty(value = "补贴",required = false)
	private long subsidy;
	
	/** 上课日期 */
	@ApiModelProperty(value = "上课日期",required = false)
	private java.util.Date classDate;
	
	/** 上课时间 */
	@ApiModelProperty(value = "上课时间",required = false)
	private java.util.Date startClassTime;
	
	/** 结束时间 */
	@ApiModelProperty(value = "结束时间",required = false)
	private java.util.Date endClassTime;
	
	/** 上课教师 */
	@ApiModelProperty(value = "上课教师",required = false)
	private Long teacherId;
	
	/** 实际上课教师 */
	@ApiModelProperty(value = "实际上课教师",required = false)
	private Long actualTeacherId;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;

	private TeachModeEnum teachMode;

	private boolean complaintStatus;

	public void setId(Long id) {
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public void setClassGroupId(Integer classGroupId){
		this.classGroupId = classGroupId;
	}
	
	public Integer getClassGroupId(){
		return this.classGroupId;
	}

	public CourseStatusEnum getStatus() {
		return status;
	}

	public void setStatus(CourseStatusEnum status) {
		this.status = status;
	}

	public void setSubsidy(long subsidy){
		this.subsidy = subsidy;
	}
	
	public long getSubsidy(){
		return this.subsidy;
	}
			
	public void setClassDate(java.util.Date classDate){
		this.classDate = classDate;
	}
	
	public java.util.Date getClassDate(){
		return this.classDate;
	}
			
	public void setStartClassTime(java.util.Date startClassTime){
		this.startClassTime = startClassTime;
	}
	
	public java.util.Date getStartClassTime(){
		return this.startClassTime;
	}
			
	public void setEndClassTime(java.util.Date endClassTime){
		this.endClassTime = endClassTime;
	}
	
	public java.util.Date getEndClassTime(){
		return this.endClassTime;
	}

	public Long getTeacherId() {
		return teacherId;
	}

	public void setTeacherId(Long teacherId) {
		this.teacherId = teacherId;
	}

	public Long getActualTeacherId() {
		return actualTeacherId;
	}

	public void setActualTeacherId(Long actualTeacherId) {
		this.actualTeacherId = actualTeacherId;
	}

	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}

	public TeachModeEnum getTeachMode() {
		return teachMode;
	}

	public void setTeachMode(TeachModeEnum teachMode) {
		this.teachMode = teachMode;
	}

	public boolean isComplaintStatus() {
		return complaintStatus;
	}

	public void setComplaintStatus(boolean complaintStatus) {
		this.complaintStatus = complaintStatus;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
